scan_right.hpp File Reference

Forward declares `boost::hana::scan_right`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::scan_right

Fold a Sequence to the right and return a list containing the successive reduction states.Like `fold_right`, `scan_right` reduces a sequence to a single value using a binary operation. However, unlike `fold_right`, it builds up a sequence of the intermediary results computed along the way and returns that instead of only the final reduction state. Like `fold_right`, `scan_right` can be used with or without an initial reduction state. More...

## Detailed Description

Forward declares `boost::hana::scan_right`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)